# `views`

The views module is accessible via the `sqlobject` module.

## Attributes

#### a `const`

    <sqlobject.sqlbuilder.ConstantSpace instance at 0xa647e2c>

#### a `table`

    <sqlobject.sqlbuilder.TableSpace instance at 0xa647e0c>

#### a `SQLTrueClause`

    1 = 1

#### a `func`

    <sqlobject.sqlbuilder.ConstantSpace instance at 0xa647e2c>

#### a `operatorMap`

    {'!=': <built-in function ne>,
     '*': <built-in function mul>,
     '+': <built-in function add>,
     '-': <built-in function sub>,
     '/': <built-in function div>,
     '<': <built-in function lt>,
     '<=': <built-in function le>,
     '=': <built-in function eq>,
     '>': <built-in function gt>,
     '>=': <built-in function ge>,
     'IN': <built-in function contains>,
     'IS': <built-in function eq>}

#### a `safeSQLRE`

    <_sre.SRE_Pattern object at 0xa404b10>

#### a `__package__`

    'sqlobject'

## Functions

#### f `isAggregate(expr)` ...

## Classes

#### C `ViewSQLObjectField(...)` ...

This class contains 32 members.

#### C `ViewSQLObjectTable(...)` ...

This class contains 32 members.

#### C `ViewSQLObject(...)` ...

A SQLObject class that derives all it's values from other SQLObject classes. Columns on subclasses should use SQLBuilder constructs for dbName, and sqlmeta should specify:

- idName as a SQLBuilder construction
- clause as SQLBuilder clause for specifying join conditions or other restrictions
- table as an optional alternate name for the class alias

See test_views.py for simple examples.

This class contains 17 members.

See the source for more information.